- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# cKSplit::Grid Struct Reference

`#include <cksplit.h>`

List of all members.

## Detailed Description

Supporting struct for cKSplit.

Represents one grid in the k-split data structure.

## Public Attributes
int | parent
int | reldepth
long | total
int | mother
int | cells [K]

## Member Data Documentation

int cKSplit::Grid::cells[K]

| cell values

int cKSplit::Grid::mother

| observations 'inherited' from mother cell

int cKSplit::Grid::parent

| index of parent grid

int cKSplit::Grid::reldepth

| depth = (reldepth - rootgrid's reldepth)

long cKSplit::Grid::total

| sum of cells & all subgrids (also includes 'mother')

The documentation for this struct was generated from the following file:

- cksplit.h